PHP 7.0 Compatability

Find out what does your audience think

PHP 7.0 Compatability

New postby KelsoUSMC » Thu Mar 24, 2016 8:55 am

Thought I'd test my Joomla site (3.5) with a new installation of php (7.0).
Right away, I see the nice "sexy" part of the polling is not sexy.
It has lost ALL of the css styling and looks to be just plain text. The javascript still works.

Is this package compatible with php 7.0?

Thanks,

Kelso
KelsoUSMC
 
Posts: 4
Joined: Thu Mar 24, 2016 8:51 am

Re: PHP 7.0 Compatability

New postby Edvard » Sat Mar 26, 2016 10:56 pm

Hi,

Can you post your website address, so I can check it for you?

Thanks!
Regards,

Edvard Ananyan - 2GLux Team

Please post a review at the Joomla Extensions Directory. It is very important for us!
Edvard
Site Admin
 
Posts: 1836
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: PHP 7.0 Compatability

New postby KelsoUSMC » Sun Mar 27, 2016 12:15 am

Here is the test site with php 7.0 active.
http://test.hunterfootball.com

The live site is with php 5.6.15:
http://www.hunterfootball.com

Thanks,

Kelso
KelsoUSMC
 
Posts: 4
Joined: Thu Mar 24, 2016 8:51 am

Re: PHP 7.0 Compatability

New postby Edvard » Mon Mar 28, 2016 1:42 am

OK, can you check your PHP error log or enable it for this request: http://test.hunterfootball.com/componen ... ule_id=151

Thanks!
Regards,

Edvard Ananyan - 2GLux Team

Please post a review at the Joomla Extensions Directory. It is very important for us!
Edvard
Site Admin
 
Posts: 1836
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: PHP 7.0 Compatability

New postby KelsoUSMC » Mon Mar 28, 2016 8:48 am

Only 3 entries since php 7 was installed. They are the same. Have not had a new entry since my initial post here.

I've noticed since using php 7, some Database Types under Global Configuration have disappeared.

PHP 5.5: Options are: MySQLi, MySQL, PostgreSQL & MySQL (PDO)
PHP 5.6: Options are: MySQL & MySQLi
PHP 7.0: Options are: MySQLi & MySQL (PDO)

My database is: MySQL Version 5.5.45

ENTRIES IN "PHP70x64_errors.log"
[24-Mar-2016 04:36:06 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'C:\Program Files\PHP\v7.0\ext\php_mysql.dll' - The specified module could not be found.
in Unknown on line 0
[24-Mar-2016 04:36:09 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'C:\Program Files\PHP\v7.0\ext\php_mysql.dll' - The specified module could not be found.
in Unknown on line 0
[24-Mar-2016 04:45:49 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'C:\Program Files\PHP\v7.0\ext\php_mysql.dll' - The specified module could not be found.
in Unknown on line 0

Thanks,

Kelso
KelsoUSMC
 
Posts: 4
Joined: Thu Mar 24, 2016 8:51 am

Re: PHP 7.0 Compatability

New postby Edvard » Mon Mar 28, 2016 6:21 pm

It seems you are using old version, please update.
Regards,

Edvard Ananyan - 2GLux Team

Please post a review at the Joomla Extensions Directory. It is very important for us!
Edvard
Site Admin
 
Posts: 1836
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: PHP 7.0 Compatability

New postby KelsoUSMC » Tue Mar 29, 2016 1:53 am

Updating the package worked. All css styles are working again with php 7.

Question: Why wasn't an update notification displayed on the Joomla Admin side?

Thanks,

Kelso
KelsoUSMC
 
Posts: 4
Joined: Thu Mar 24, 2016 8:51 am

Re: PHP 7.0 Compatability

New postby Edvard » Tue Mar 29, 2016 1:59 am

We do not use Joomla updated for SexyPolling yet.

Thanks!
Regards,

Edvard Ananyan - 2GLux Team

Please post a review at the Joomla Extensions Directory. It is very important for us!
Edvard
Site Admin
 
Posts: 1836
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia


Return to Sexy Polling

Who is online

Users browsing this forum: No registered users and 4 guests

cron